<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="xpil" xmlns:prop="java.util.Properties" xmlns:xpil="http://www.together.at/2006/XPIL1.0" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
	<xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
	<xsl:param name="username" select="u" />
	<xsl:param name="from_element" select="11" />
	<xsl:param name="to_element" select="20" />
	<xsl:param name="sortCriterion" select="20" />
	<xsl:param name="sortAsc" select="true" />
	<xsl:param name="total_number" select="200" />
	<xsl:param name="fromPage" select="e" />
	<xsl:param name="sharkEdition" select="e" />
    <xsl:param name="protocol" select="e" />
    <xsl:param name="host" select="e" />
    <xsl:param name="port" select="e" />
	<xsl:param name="selected_user" select="e" />
	<xsl:param name="edmWebDAVAllowed" select="e" />
	<xsl:param name="sessionKey" select="e" />
	<xsl:param name="isWebDAVVisible" select="e" />
	<xsl:param name="navig_url" select="ActivityDetailHandlerPO.po" />

	<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="menu.xsl" />
	<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="footer.xsl" />
	<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="properties.xsl"/>
	
	<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
		<html xmlns="http://www.w3.org/1999/xhtml" xmlns:xforms="http://www.w3.org/2002/xforms">
			<head>
				<title>Activity Details</title>
				<link href="styles/style.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
				<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
				
				<!--[if lte IE 6]>
				<link href="styles/style_iel.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
				<![endif]-->
				<!--[if gte IE 7]>
				<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
				<![endif]-->
				<!--[if gte IE 8]>
				<link href="styles/style_ien.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
				<![endif]-->
				<script type="text/javascript" src="js/jslib.js"></script>
				<script type="text/javascript" src="js/dynstyles.js"></script>
				
				<script type="text/javascript" xmlns:prop="java.util.Properties" xmlns:xml="http://www.w3.org/XML/1998/namespace" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0">
					function submitForm(formId, actionAttr) { 
						var formTag = document.getElementById(formId);
						formTag.action=actionAttr; formTag.submit(); 
					}
					
					function submitFormEvent(formId, actionAttr,event) {
						var formTag = document.getElementById(formId);
						formTag.action=actionAttr;
						formTag.event.value=event; formTag.submit(); 
					}
				</script>
			</head>
<body>
<div id="w0">

<!-- page -->
<div id="pw0"><div id="pw">

<!-- header -->
<div id="ph"><div id="phw">

<xsl:variable name="closeUrl">javascript:submitFormEvent('mainForm','ActivityDetailHandlerPO.po?from=<xsl:value-of select='$from_element' />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;pro_id=<xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:PackageInstance/xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpil:WorkflowProcessInstances/*/@Id" />&#38;fromPage=<xsl:value-of select="$fromPage" />','close')</xsl:variable>

<!-- header menu -->
	<xsl:call-template name="Menu">
		<xsl:with-param name="prop_repository" select="prop:getProperty('repository','true')" />
		<xsl:with-param name="prop_packagelist" select="prop:getProperty('packagelist','true')" />
		<xsl:with-param name="prop_processinst" select="prop:getProperty('processinst','true')" />
		<xsl:with-param name="prop_processmonitor" select="prop:getProperty('processmonitor','true')" />
		<xsl:with-param name="prop_usermanag" select="prop:getProperty('usermanag','true')" />
		<xsl:with-param name="prop_worklist" select="prop:getProperty('worklist','true')" />
		<xsl:with-param name="prop_processlist" select="prop:getProperty('processlist','true')" />
		<xsl:with-param name="prop_cache" select="prop:getProperty('cache','true')" />
		<xsl:with-param name="prop_application" select="prop:getProperty('application','true')" />
		<xsl:with-param name="prop_participant" select="prop:getProperty('participant','true')" />
		<xsl:with-param name="prop_groupmanag" select="prop:getProperty('groupmanag','true')" />
		<xsl:with-param name="sharkEdition" select="$sharkEdition"/>
	</xsl:call-template>
<!-- header menu end -->	
                    
<!-- toolbar -->
<div id="cnthdr">
	<div id="cnthdrw0">
		<div id="cnthdrw">
			<div class="h01">
				<h1>Activity Details</h1>
			</div>
			<div class="cnttbw">
				<div class="toolbar">
					<div class="toolbarw0">
						<div class="toolbarw">
							<ul class="toollset toollsetsa">
								<li><a class="back" href="{$closeUrl}" title="Back"><span></span></a></li>
							</ul>
						</div>
					</div>
				</div>
			</div>	
		</div>
	</div>
</div>
<!-- toolbar end -->
</div></div>
<!-- header end-->

<!-- frame -->
<div id="cntframew"><div id="cntframe"><div id="cnt01" style="width:100%;">
<form action="javascript: void 0" id="mainForm" method="post" name="mainForm">
<input name="event" type="hidden"/>
<span style="color:red">
<table class="text" width="100%" border="0"
	align="center" cellpadding="0" cellspacing="0">
						<tr height="35">
							<td width="2%" />
							<td align="left" colspan="2">
								<b>GENERAL INFO</b>
							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td colspan="4">
								<table class="text" width="100%" hight="100%"
									align="center" border="0" cellpadding="0" cellspacing="0">

									<xsl:for-each select="//.">
										<xsl:choose>
											<xsl:when
												test="name()='xpil:PackageInstance'">
												<tr>
													<td>
														<b>XPDL Id:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Id" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															XPDL
															Version:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="@Version" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Factory
															Name:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/@Id" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Factory
															State:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/@State" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Definition
															Id:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/@DefinitionId" />
													</td>
												</tr>
											</xsl:when>
										</xsl:choose>
										<xsl:choose>
											<xsl:when
												test="name()='xpil:MainWorkflowProcessInstance' or name()='xpil:SubWorkflowProcessInstance'">

												<tr>
													<td>
														<b>Process Id:</b>
													</td>
													<td>

														<xsl:value-of
															select="@Id" />
													</td>
												</tr>
												<tr>
													<td>
														<b>Process Name:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Name" />
													</td>
												</tr>
												<tr>
													<td>
														<b>Process State:</b>
													</td>
													<td>
														<xsl:value-of
															select="@State" />
													</td>
												</tr>
												<tr>
													<td>
														<b>Process Created:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Created" />
													</td>
												</tr>
												<tr>
													<td>
														<b>Process Finished:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Finished" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Requester
															Username:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="@RequesterUsername" />
													</td>
												</tr>
											</xsl:when>
										</xsl:choose>
										<xsl:choose>
										<xsl:when test="name()='xpil:ManualActivityInstance' or name()='xpil:ToolActivityInstance' or name()='xpil:SubFlowActivityInstance' or name()='xpil:RouteActivityInstance' or name()='xpil:BlockActivityInstance'">


															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Activity Id:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Id" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Activity Name:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Name" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Activity State:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@State" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Activity Created:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Created" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Activity Started:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Started" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Activity Finished:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Finished" />
																</td>
															</tr>

										</xsl:when>
										</xsl:choose>
									</xsl:for-each>
								</table>
							</td>
						</tr>

						<tr height="35">
							<td width="2%" colspan="4" />
						</tr>
						<tr height="35">
							<td width="2%" />
							<td align="left" colspan="2">

							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td colspan="4">
								<xsl:for-each select="//.">


									<xsl:if test='xpil:DataInstances'>
										<b>PROPERTIES</b>
										<!-- Variable Start -->
										<table align="center"
											width="100%" hight="100%" border="0">

											<xsl:for-each
												select="//.">

												<xsl:if
													test="name()='xpil:StringDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>

														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>

																<xsl:choose>

																	<xsl:when
																		test="xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute/@Name='RENDERING_HINT' and xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute/@Value='Size=L'">
																		<td
																			align="left" width="200">
																			<b>
																				<xsl:choose>
																					<xsl:when
																						test="$suff!=''">
																						<xsl:value-of
																							select="$suff" />
																					</xsl:when>
																					<xsl:otherwise>
																						<xsl:value-of
																							select="$i" />
																					</xsl:otherwise>
																				</xsl:choose>
																			</b>
																		</td>
																		<td
																			align="left">


																			<xsl:value-of
																				select="$val" />


																		</td>
																	</xsl:when>
																	<xsl:otherwise>
																		<td
																			align="left" width="200">
																			<b>
																				<xsl:choose>
																					<xsl:when
																						test="$suff!=''">
																						<xsl:value-of
																							select="$suff" />
																					</xsl:when>
																					<xsl:otherwise>
																						<xsl:value-of
																							select="$i" />
																					</xsl:otherwise>
																				</xsl:choose>
																			</b>
																		</td>
																		<td
																			align="left">

																			<xsl:value-of
																				select="$val" />

																		</td>
																	</xsl:otherwise>
																</xsl:choose>



													</tr>
												</xsl:if>
												<xsl:if
													test="name()='xpil:DoubleDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>
														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<td align="left"
															width="200">

															<b>
																<xsl:choose>
																	<xsl:when
																		test="$suff!=''">
																		<xsl:value-of
																			select="$suff" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="$i" />
																	</xsl:otherwise>
																</xsl:choose>
															</b>
														</td>


																<td
																	align="left">
																	<xsl:value-of
																		select="$val" />
																</td>

													</tr>
												</xsl:if>


												<xsl:if
													test="name()='xpil:LongDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>
														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<td align="left"
															width="200">

															<b>
																<xsl:choose>
																	<xsl:when
																		test="$suff!=''">
																		<xsl:value-of
																			select="$suff" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="$i" />
																	</xsl:otherwise>
																</xsl:choose>
															</b>
														</td>


																<td
																	align="left">
																	<xsl:value-of
																		select="$val" />
																</td>
															</tr>
												</xsl:if>


												<xsl:if
													test="name()='xpil:BooleanDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>
														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<td align="left"
															width="200">
															<b>
																<xsl:choose>
																	<xsl:when
																		test="$suff!=''">
																		<xsl:value-of
																			select="$suff" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="$i" />
																	</xsl:otherwise>
																</xsl:choose>
															</b>
														</td>


																<td
																	align="left">
																	<xsl:value-of
																		select="$val" />
																</td>
                                                              </tr>
												</xsl:if>
                                                 <xsl:if
													test="name()='xpil:DateDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>
														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<td align="left"
															width="200">
															<b>
																<xsl:choose>
																	<xsl:when
																		test="$suff!=''">
																		<xsl:value-of
																			select="$suff" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="$i" />
																	</xsl:otherwise>
																</xsl:choose>
															</b>
														</td>

																<td
																	align="left">
																	<xsl:value-of
																		select="$val" />
																</td>

													</tr>
												</xsl:if>

											</xsl:for-each>

										</table>
									</xsl:if>


								</xsl:for-each>
								<!-- Variable End -->
							</td>
						</tr>
						<xsl:if test="$sharkEdition!='community' and $edmWebDAVAllowed='true' and $isWebDAVVisible='true'">
                          <tr height="600px" >
						<xsl:variable name="webDAVurl">/sharkWebClient/webdav/<xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:PackageInstance/xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpil:WorkflowProcessInstances/*/@Id" />/<xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:PackageInstance/xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpil:WorkflowProcessInstances/*/xpil:ActivityInstances/xpil:ManualActivityInstance/@Id" />?xsl=documents.xsl&#38;sessionKey=<xsl:value-of select="$sessionKey"/>&#38;resourcePath=/sharkWebClient/prof/edm&#38;itemsPerPage=25&#38;previewerURL=<xsl:value-of select='$protocol'/>://<xsl:value-of select='$host'/>:<xsl:value-of select='$port'/>/tdv/Preview.po
						</xsl:variable>	
						 <td colspan="4">
						  
			              <frameset>
				          <iframe name="tablefrm" id="tablefrm" width="100%" height="100%" frameborder="no" src="{$webDAVurl}" ></iframe>
			              </frameset>
	                    
						 </td>
						
						 </tr>
						 </xsl:if>

						<tr height="15">
							<td width="2%" colspan="4" />
						</tr>
</table>
</span>					 
</form>
</div>
</div></div>
<!-- frame end -->    

<!-- footer -->
	<xsl:call-template name="Footer"></xsl:call-template>
<!-- footer end -->

</div></div>
<!-- page end -->

</div>

<script type="text/javascript">
//<![CDATA[

dynStyleSet(['tbodyFrame']);

//]]>
</script>

</body>
</html>
</xsl:template>
</xsl:stylesheet>