<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   exclude-result-prefixes="xpil"
   xmlns:xpil="http://www.together.at/2006/XPIL1.0"
   xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
   <xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
   <xsl:param name="username" select="u" />
   <xsl:param name="from_element" select="11" />
   <xsl:param name="to_element" select="20" />
   <xsl:param name="sortCriterion" select="20" />
   <xsl:param name="sortAsc" select="true" />
   <xsl:param name="total_number" select="200" />
   <xsl:param name="sharkEdition" select="e" />
   <xsl:param name="navig_url"
      select="AppMappingHandlerPO.po" />
   <xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="content-type" content="text/html; charset='UTF-8'"/>
<title>Participant Mapping Creation</title>
</head>

<body>
<form action="javascript: void 0" id="innerForm" method="post" name="innerForm" style="height:100%" >
<input name="event" type="hidden"/>

<!-- popup window -->

 <div id="popupframew">

  <div id="popuphbar">
    <div class="popupheadline"><span class="newappmapp">Participant Mapping Creation</span></div>
    <div class="popuphtoolbar">
      <ul>
        <li><a class="close" href="javascript: void(0)" onclick="javascript: popupWinClose('newParMapping');" title="Close"><span></span></a></li>
      </ul>
    </div>
  </div>

  <div id="popupframe"><div id="popupcntw">

    <div class="fset01saw">
      <div class="fset01">
        <div class="comboinw">  
          <input type="text" name="selected_par" id="selected_par" value="All participants" class="inputcomb01" onclick="comboInputEnable(this)" onKeyUp="combob(event, this);" onblur="comboCheck(this);" readonly="true"/>
          <a name="parselecta" class="combarrow" href="javascript: void 0" onclick="showComboBox('parselect');"></a>
        </div>
        <div class="selectelw" id="userselectw">
          <select name="parselect" id="parselect" size="10" class="combosel01" autocomplete="off" onchange="comboListClick(this);" onkeyup="comboListSl(event, this);">
	          <xsl:for-each select="xpil:InstanceExtendedAttributes[1]/xpil:InstanceExtendedAttribute">
 	             <xsl:variable name="opt1">
	               <xsl:value-of select="@Name"/>
	 	           </xsl:variable>
	 	           <xsl:element name="option">
		 	           	<xsl:attribute name="value">
		 	           		<xsl:value-of select="$opt1"/>
		 	           	</xsl:attribute>
		 	           	<xsl:attribute name="title">
		 	           		<xsl:value-of select="$opt1"/>
		 	           	</xsl:attribute>
		 	           	<xsl:value-of select="@Value"/>
	 	           </xsl:element>
	    	  </xsl:for-each>
          </select>
        </div>
      </div>
      <div class="fset01">
        <div class="comboinw">  
          <input type="text" name="selected_usgr" id="selected_usgr" value="Users and groups" class="inputcomb01" onclick="comboInputEnable(this)" onKeyUp="combob(event, this);" onblur="comboCheck(this);" readonly="true"/>
          <a name="usrgrselecta" class="combarrow" href="javascript: void 0" onclick="showComboBox('usrgrselect');"></a>
        </div>
        <div class="selectelw" id="prselectw">
          <select name="usrgrselect" id="usrgrselect" size="10" class="combosel01" autocomplete="off" onchange="comboListClick(this);" onkeyup="comboListSl(event, this);">
            <xsl:for-each select="xpil:InstanceExtendedAttributes[2]/xpil:InstanceExtendedAttribute">
               	<xsl:variable name="opt2">
                	<xsl:value-of select="@Name"/>
                </xsl:variable>
                <option value="{$opt2}">
                	<xsl:value-of select="@Value"/>
            	</option>
			</xsl:for-each>
          </select>
        </div>
      </div>
    </div>
  </div></div>
 
 <xsl:variable name="createUrl">javascript:submitFormEvent('innerForm','MappingHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc" />','create')</xsl:variable>
  <div id="popupfooter">
    <div class="popupfcontrols">
      <div class="toolbar"><div class="toolbarw0"><div class="toolbarw">
        <ul class="toollset toollsetsa">
          <li><a class="saveandclose" href="{$createUrl}" onclick="" title="Save and Close"><span></span></a></li>
        </ul>
      </div></div></div>
      <div class="toolbar"><div class="toolbarw0"><div class="toolbarw">
        <ul class="toollset toollsetsa">
          <li><a class="cancel" href="javascript: void(0)" onclick="javascript: popupWinClose('newParMapping');" title="Cancel"><span></span></a></li>
        </ul>
      </div></div></div>
    </div>
  </div>

 </div>

<!-- popup window end -->
</form>
</body>
</html>
   </xsl:template>
</xsl:stylesheet>
