<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xpil" xmlns:prop="java.util.Properties"
	xmlns:xpil="http://www.together.at/2006/XPIL1.0" xmlns:xpd="http://www.wfmc.org/2002/XPDL1.0"
	version="1.0">
	<xsl:template name="Menu">
		<xsl:param name="prop_repository"/>
		<xsl:param name="prop_packagelist"/>
		<xsl:param name="prop_processinst"/>
		<xsl:param name="prop_processmonitor"/>
		<xsl:param name="prop_usermanag"/>
		<xsl:param name="prop_groupmanag"/>
		<xsl:param name="prop_worklist"/>
		<xsl:param name="prop_processlist"/>
		<xsl:param name="prop_cache"/>
		<xsl:param name="prop_application"/>
		<xsl:param name="prop_participant"/>
		<xsl:param name="sharkEdition"/>
<!-- header menu -->
<div id="headerw"><div id="header">
  <xsl:element name="div">
	<xsl:attribute name="id">
		<xsl:value-of select="concat('logo', $sharkEdition)"/>
	</xsl:attribute>
  </xsl:element>
  <div id="mnavw2"><div id="mnavw1"><div id="mnavw0"><div id="mnavw"><div id="mnav">

    <div class="mnavset">
    <xsl:if test="$prop_repository='true'">
      <a class="mnl01" href="RepositoryHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw reposit">
Repository<br/>Management
        </span></span></span>
      </a>
      </xsl:if>
    <xsl:if test="$prop_repository='false'">
      <a class="mnl01a" href="RepositoryHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw reposit">
Repository<br/>Management
        </span></span></span>
      </a>
      </xsl:if>   
      <xsl:if test="$prop_packagelist='true'">
      <a class="mnl01" href="PackageHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw pcklist">
Package<br/>List
        </span></span></span>
      </a>
	  </xsl:if>
	  <xsl:if test="$prop_packagelist='false'">
      <a class="mnl01a" href="PackageHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw pcklist">
Package<br/>List
        </span></span></span>
      </a>
	  </xsl:if>
<xsl:if test="$prop_processinst='true'">	  
      <a class="mnl01" href="ProcessInstantiationHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw prinst">
Process<br/>Instatiation
        </span></span></span>
      </a>
</xsl:if>      
<xsl:if test="$prop_processinst='false'">	  
      <a class="mnl01a" href="ProcessInstantiationHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw prinst">
Process<br/>Instatiation
        </span></span></span>
      </a>
</xsl:if>      
      
<xsl:if test="$prop_processmonitor='true'">      
      <a class="mnl01" href="ProcessMonitorHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw prmonitor">
Process<br/>Monitor
        </span></span></span>
      </a>
</xsl:if>
<xsl:if test="$prop_processmonitor='false'">      
      <a class="mnl01a" href="ProcessMonitorHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw prmonitor">
Process<br/>Monitor
        </span></span></span>
      </a>
</xsl:if>

</div>

<div class="mnavset">
<xsl:if test="$prop_groupmanag='true'">    
      <a class="mnl01" href="GroupHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw groupmng">
Groups<br/>Management
        </span></span></span>
      </a>
</xsl:if>
<xsl:if test="$prop_groupmanag='false'">    
      <a class="mnl01a" href="GroupHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw groupmng">
Groups<br/>Management
        </span></span></span>
      </a>
</xsl:if>
<xsl:if test="$prop_usermanag='true'">      
      <a class="mnl01" href="UserHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw usermng">
Users<br/>Management
        </span></span></span>
      </a>
</xsl:if>
<xsl:if test="$prop_usermanag='false'">      
      <a class="mnl01a" href="UserHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw usermng">
Users<br/>Management
        </span></span></span>
      </a>
</xsl:if>
<xsl:if test="$prop_participant='true'">
  	  <a class="mnl01" href="ParticipantMappingHandlerPO.po">
		<span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw partmapping">
Participant<br/>Mapping
        </span></span></span>
      </a>  			
</xsl:if>

<!-- Ovde bi trebalo staviti disabled ikonicu -->
<xsl:if test="$prop_participant='false'">
   	  <a class="mnl01a" href="ParticipantMappingHandlerPO.po">
		<span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw partmapping">
Participant<br/>Mapping
        </span></span></span>
      </a>
</xsl:if>
    </div>

    <div class="mnavsetl">
<xsl:if test="$prop_application='true'">    
      <a class="mnl01" href="ApplicationMappingHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw appmap">
Application<br/>Mapping
        </span></span></span>
      </a>
</xsl:if>      
<xsl:if test="$prop_application='false'">    
      <a class="mnl01a" href="ApplicationMappingHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw appmap">
Application<br/>Mapping
        </span></span></span>
      </a>
</xsl:if>   
<xsl:if test="$prop_cache='true'">
      <a class="mnl01" href="CacheHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw cache">
Cache<br/>Management
        </span></span></span>
      </a>
</xsl:if>      
<xsl:if test="$prop_cache='false'">
      <a class="mnl01a" href="CacheHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw cache">
Cache<br/>Management
        </span></span></span>
      </a>
</xsl:if>
<xsl:if test="$prop_worklist='true'">
      <a class="mnl01" href="WorklistHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw wlist">
Work List
        </span></span></span>
      </a>
</xsl:if>
<xsl:if test="$prop_worklist='false'">
      <a class="mnl01a" href="WorklistHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw wlist">
Work List
        </span></span></span>
      </a>
</xsl:if>      
<xsl:if test="$prop_processlist='true'">      
      <a class="mnl01" href="ProcessHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw prlist">
Process<br/>List
        </span></span></span>
      </a>
</xsl:if>
<xsl:if test="$prop_processlist='false'">      
      <a class="mnl01a" href="ProcessHandlerPO.po">
        <span class="mnl01cw1"><span class="mnl01cw0"><span class="mnl01cw prlist">
Process<br/>List
        </span></span></span>
      </a>
</xsl:if>

    </div>
  </div></div></div></div></div>
</div></div>
	</xsl:template>
</xsl:stylesheet>
