


ALTER TABLE SHKProcesses ADD CONSTRAINT SHKProcesses_ProcessDefinition FOREIGN KEY (ProcessDefinition) REFERENCES SHKProcessDefinitions (ObjectId) ;
ALTER TABLE SHKProcesses ADD CONSTRAINT SHKProcesses_State FOREIGN KEY (State) REFERENCES SHKProcessStates (ObjectId) ;

ALTER TABLE SHKProcessRequesters ADD CONSTRAINT SHKProcessRequesters_ActivityRequester FOREIGN KEY (ActivityRequester) REFERENCES SHKActivities (ObjectId) ;
ALTER TABLE SHKProcessRequesters ADD CONSTRAINT SHKProcessRequesters_ResourceRequester FOREIGN KEY (ResourceRequester) REFERENCES SHKResourcesTable (ObjectId) ;

ALTER TABLE SHKActivities ADD CONSTRAINT SHKActivities_Process FOREIGN KEY (Process) REFERENCES SHKProcesses (ObjectId) ;
ALTER TABLE SHKActivities ADD CONSTRAINT SHKActivities_TheResource FOREIGN KEY (TheResource) REFERENCES SHKResourcesTable (ObjectId) ;
ALTER TABLE SHKActivities ADD CONSTRAINT SHKActivities_State FOREIGN KEY (State) REFERENCES SHKActivityStates (ObjectId) ;



ALTER TABLE SHKAssignmentsTable ADD CONSTRAINT SHKAssignmentsTable_Activity FOREIGN KEY (Activity) REFERENCES SHKActivities (ObjectId) ;
ALTER TABLE SHKAssignmentsTable ADD CONSTRAINT SHKAssignmentsTable_TheResource FOREIGN KEY (TheResource) REFERENCES SHKResourcesTable (ObjectId) ;

ALTER TABLE SHKProcessData ADD CONSTRAINT SHKProcessData_Process FOREIGN KEY (Process) REFERENCES SHKProcesses (ObjectId) ;

ALTER TABLE SHKProcessDataWOB ADD CONSTRAINT SHKProcessDataWOB_Process FOREIGN KEY (Process) REFERENCES SHKProcesses (ObjectId) ;

ALTER TABLE SHKProcessDataBLOBs ADD CONSTRAINT SHKProcessDataBLOBs_ProcessDataWOB FOREIGN KEY (ProcessDataWOB) REFERENCES SHKProcessDataWOB (ObjectId) ;

ALTER TABLE SHKActivityData ADD CONSTRAINT SHKActivityData_Activity FOREIGN KEY (Activity) REFERENCES SHKActivities (ObjectId) ;

ALTER TABLE SHKActivityDataWOB ADD CONSTRAINT SHKActivityDataWOB_Activity FOREIGN KEY (Activity) REFERENCES SHKActivities (ObjectId) ;

ALTER TABLE SHKActivityDataBLOBs ADD CONSTRAINT SHKActivityDataBLOBs_ActivityDataWOB FOREIGN KEY (ActivityDataWOB) REFERENCES SHKActivityDataWOB (ObjectId) ;

ALTER TABLE SHKAndJoinTable ADD CONSTRAINT SHKAndJoinTable_Process FOREIGN KEY (Process) REFERENCES SHKProcesses (ObjectId) ;
ALTER TABLE SHKAndJoinTable ADD CONSTRAINT SHKAndJoinTable_BlockActivity FOREIGN KEY (BlockActivity) REFERENCES SHKActivities (ObjectId) ;
ALTER TABLE SHKAndJoinTable ADD CONSTRAINT SHKAndJoinTable_Activity FOREIGN KEY (Activity) REFERENCES SHKActivities (ObjectId) ;

ALTER TABLE SHKDeadlines ADD CONSTRAINT SHKDeadlines_Process FOREIGN KEY (Process) REFERENCES SHKProcesses (ObjectId) ;
ALTER TABLE SHKDeadlines ADD CONSTRAINT SHKDeadlines_Activity FOREIGN KEY (Activity) REFERENCES SHKActivities (ObjectId) ;




