﻿var cmdisplay = false;
var cntxtMenu = null;
var tmdisplay = false;
var acrdmdisplay = false;

function wEvClick(wev) {
  wev = (wev) ? wev : ((window.event) ? window.event : null);
  if(wev) {
    var elm = (wev.target) ? wev.target : wev.srcElement;

    if (comboSelElm == true) {		
      hideComboSelElms(elm);
    }

    // determine special clickable objects
    var clObjType = "clel";
    var clObj = elm;
    var tempel = elm;
    while ((tempel != null) && (tempel.tagName != "BODY")) {

      // toolbar menu tabs		
      if (toolbarMenu == true && (tempel.className == "tactionsl" || tempel.className == "tactionsla")) {
        clObjType = "tbmt"; 
        clObj = tempel;      
        break;
      }

      // clickable cards
      if (aCardHighlight == true && tempel.className.search(new RegExp(/(\b(acardw)\b)/)) != -1) {		
        clObjType = "acrd"; 
        clObj = tempel;      
        break;
      }

      // clickable table cells - actions
      if (taCellsHighlight == true && tempel.className.search(new RegExp(/(\b(actcoltd)\b)/)) != -1) {
        clObjType = "clactd"; 
        clObj = tempel;
        var temptdl = elm;
        while ((temptdl != null) && (temptdl != tempel)) {
          if (temptdl.nodeName == "DIV") {
            clObjType = "clactdm";   
            break;
          }
          temptdl = temptdl.parentNode;  
        }      
        break;
      }

      // clickable table cells - table header
      else if (thCellsHighlight == true && tempel.className.search(new RegExp(/(\b(sortable)\b)|(\b(sortasc)\b)|(\b(sortdesc)\b)/)) != -1) {
        clObjType = "clth"; 
        clObj = tempel;
        var link = clObj.getElementsByTagName("A")[0];
        var temptdl = elm;        
        while ((temptdl != null) && (temptdl != tempel)) {
          if (temptdl.nodeName == "A") {
            clObjType = "cltha";   
            break;
          }
          temptdl = temptdl.parentNode;  
        }      
        break;
      }

      tempel = tempel.parentNode;
    }

    // toolbar menus - hide toolbar menus
    if (toolbarMenu == true && tmdisplay == true && clObjType != "tbmt") {
      hideTMenus();
    }

    // clickable cards, show - hide card menu
    if (aCardHighlight == true) {

      if (acrdmdisplay == true && clObjType != "acrd") {
        hideAcrdMenu();
      }
      else if (clObjType == "acrd") {
        acrdMenu(clObj, wev);
      }

    }

    if (taCellsHighlight == true) {
      // context menu, show - hide context menus
      if (cmdisplay == true) {	
        hidecntmenus();
        if (clObjType == "clactd") {
          clObj.className = "actcoltd actcolover";
        }
      }
      // clickable table cells - actions
      else if (clObjType == "clactd") {
        showCntMenu(clObj);
        return;
      }
    }

    // clickable table cells - table header
    if (thCellsHighlight == true && clObjType == "clth") {
      location.href = link.getAttribute("href");            
    }

  }
}

// hide popup objects
function hidePopupElms() {
  if (comboSelElm == true) {		
    hideComboSelElms();
  }
  if (toolbarMenu == true) {		
    hideTMenus();
  }            
  if (taCellsHighlight == true) {		
    hidecntmenus();
  }
  if (aCardHighlight == true) {		
    hideAcrdMenu();
  }
}

// hide combobox select elements
function hideComboSelElms(elm) {
  // combobox - hide combobox select list elements		
  var celtags = document.getElementsByTagName("SELECT");
  var cselects = new Array();
  var index = 0;	
  for (var i = 0; i < celtags.length; i++) {
    if (celtags[i].className == "combosel01") {
      if (elm == null || (elm != null && elm != celtags[i].parentNode.parentNode.getElementsByTagName("A")[0])) {
        cselectmenu = celtags[i];
        if (cselectmenu.style.display == "block")
        cselects[index++] = cselectmenu;
      }
    }
  }	
  for (var j = 0; j < cselects.length; j++) {
    cselects[j].style.display = "none";
  }	
}

// context menu - hide context menus
function hidecntmenus() {
  if (cmdisplay == true) {
    var cntmenu = cntxtMenu;          	
    cntmenu.style.display = "none";
    cmdisplay = false;
    var atd = cntmenu.parentNode;          	
    atd.className = "actcoltd";
    atd.onmouseover = function() {
      if(cmdisplay == false) {
        this.className += " actcolover";
      }
      else {
        hidecntmenus();
        showCntMenu(this);
      }
    };
    atd.onmouseout = function() {
      this.className = "actcoltd";
    }; 
  }  
}

// toolbar menus - hide toolbar menus
function hideTMenus() {
  if(tmdisplay == true) {		
    var tmtags = document.getElementsByTagName("A");	
    for (var i = 0; i < tmtags.length; i++) {
      if (tmtags[i].className == "tactionsla") {
        tmtab = tmtags[i];
        tmenu = tmtab.parentNode.getElementsByTagName("DIV")[0];
        if (tmenu.style.display == "block") {
          tmenu.style.display = "none";
          tmtab.className = "tactionsl";
          tmdisplay = false;
          break;
        }
      }
    }
  }
}


// show context menu
function showCntMenu(atd) {
  var mnel = atd.getElementsByTagName("DIV")[0]; 
  var mposy = 0;
  var mnelwX = 0;
  var mnelwY = 0;
  var containerOffset = 0;
  if (/Firefox/.test(navigator.userAgent)) {
    var tftags = document.getElementsByTagName("TBODY");
    for (i = 0; i < tftags.length; i++) {
      if (tftags[i].className == "table01body") {
      var frame = tftags[i];
      break;
      }
    }
    var frameHeight = frame.offsetHeight + 28; 
    mposy += 28;
  } 
  else if (navigator.appName == 'Microsoft Internet Explorer') {
    var frame = document.getElementById("cntframe");
    var frameHeight = frame.offsetHeight;
    mposy += 28;

  }
  else {
    var frame = document.getElementById("cntframe");
    var frameHeight = frame.offsetHeight;
    if (mnel.offsetParent == frame.parentNode) {
      containerOffset = frame.scrollTop;
    }
  } 
  mposy += atd.offsetTop - frame.scrollTop;
  mnelX = 9 + atd.offsetWidth;
  mnel.style.left = mnelX + "px";
  if (mposy  > (frameHeight/2)) { 
    mnelY = frameHeight - mposy - atd.offsetHeight - containerOffset;
    mnel.style.top = "auto";  
    mnel.style.bottom = mnelY - 6 + "px";
  }
  else {
    mnelY = mposy - 1 + containerOffset;
    mnel.style.top = mnelY + "px";  
    mnel.style.bottom = "auto";
  }  
  mnel.style.display = "block";
  atd.className += " actcolactive";
  atd.onmouseover = function() {
  };
  atd.onmouseout = function() {
  };
  cntxtMenu = mnel;
  cmdisplay = true;   
}

// toolbar menu
function tbMenu(ttab) {
  var menu = ttab.parentNode.getElementsByTagName("DIV")[0];
  if (menu.style.display == "block") {
    ttab.className = "tactionsl";
    menu.style.display = "none";
    tmdisplay = false;
  }
  else {
    ttab.className = "tactionsla";
    menu.style.display = "block";
    tmdisplay = true;
  }
}

// card menu
function acrdMenu(crd, wev) {
  var menu = document.getElementById("crdmenu");
  if (menu != null) {
    if (acrdmdisplay == true) {
      if(crd.className.search(new RegExp(/(\b(acardwa)\b)/)) != -1) {
        menu.style.display = "none";
        crd.onmouseover = function() {
          this.className += " acardwover";
        };
        crd.onmouseout = function() {
          this.className = "acardw";
        };
        acrdmdisplay = false; 
      }
      else {
      hideAcrdMenu();
      showAcrdMenu(crd, wev);
      }
    }
    else {
      showAcrdMenu(crd, wev);
    }
  }
}

// show card menu
function showAcrdMenu(crd, wev) {
  var menu = document.getElementById("crdmenu");

  var x = wev.clientX;
  var y = wev.clientY;

  if (y < (document.body.clientHeight/2)) {
    menu.style.bottom = "auto";
    menu.style.top = y + "px";
  }
  else {
    menu.style.top = "auto";
    menu.style.bottom = document.body.clientHeight - y - 6 + "px";
  }  
  if (x < 425) {
    menu.style.right = "auto";
    menu.style.left = x + "px";
  }
  else {
    menu.style.left = "auto";
    menu.style.right = document.body.clientWidth - x - 5 + "px";
  }

  menu.style.display = "block";
  crd.className += " acardwa";
  crd.onmouseover = function() {
  };
  crd.onmouseout = function() {
  };
  acrdmdisplay = true;
}

// hide card menu
function hideAcrdMenu() {
  var menu = document.getElementById("crdmenu");
  menu.style.display = "none";
  var cframe = document.getElementById("cntframe");
  var elmlist = cframe.getElementsByTagName("DIV");
  var aCrd = null;
  for(i = 0; i < elmlist.length; i++) { 
    if(elmlist[i].className.search(new RegExp(/(\b(acardwa)\b)/)) != -1) { 
      aCrd = elmlist[i];
      break;
    }
  }
  if (aCrd != null) {
    aCrd.className = "acardw";
    aCrd.onmouseover = function() {
      this.className += " acardwover";
    };
    aCrd.onmouseout = function() {
      this.className = "acardw";
    };    
  }
  acrdmdisplay = false;
}

// show card menu
function setAcrdMenuValue(elid) {
  var menu = document.getElementById("crdmenu");
  var menuOptDelete = menu.getElementsByTagName("A")[0];
 /* menuOptDelete.onclick = function() {
    alert('Are you sure you want to delete ' + elid + '?');
  }*/
}

document.onclick = wEvClick;

