<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xpil"
	xmlns:xpil="http://www.together.at/2006/XPIL1.0"
	xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
	<xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
	<xsl:param name="username" select="u" />
	<xsl:param name="from_element" select="11" />
	<xsl:param name="to_element" select="20" />
	<xsl:param name="sortCriterion" select="20" />
	<xsl:param name="sortAsc" select="true" />
	<xsl:param name="total_number" select="200" />
	<xsl:param name="fromPage" select="p" />
	<xsl:param name="sharkEdition" select="e" />
	<xsl:param name="navig_url" select="GroupActionsHandlerPO.po" />
<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<title>Create new group</title>
</head>
	<link href="styles/style.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
	<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>

<body>
<form action="javascript: void 0" id="innerForm" method="post" name="innerForm" style="height:100%">
<input name="event" type="hidden"/>

<!-- popup window -->
 <div id="popupframew">

  <div id="popuphbar">
    <div class="popupheadline">
		<xsl:variable name="var">
			<xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:InstanceExtendedAttribute/@Name"/>
		</xsl:variable>
		<xsl:if test="$var=''">
   		<span class="newuser">Create New Group</span>
    	</xsl:if>
    	<xsl:if test="$var!=''">
    		<span class="edituser">Update Group Data</span>
    	</xsl:if>		
    </div>
    <div class="popuphtoolbar">
      <ul>
        <li><a class="close" href="#" onclick="javascript: popupWinClose();" title="Close"><span></span></a></li>
      </ul>
    </div>
  </div>
  <div id="popupframe"><div id="popupcntw">
<xsl:for-each select="//.">
	<xsl:choose>
		<xsl:when test="name()='xpil:InstanceExtendedAttribute'">
     	<div class="fset01w">
	      <div class="fset01">
	        <label class="l1">Name:</label>
	        <div class="inputw01">
					<xsl:variable name="var1">
						<xsl:value-of select="@Name"/>
					</xsl:variable>
		            <xsl:if test="$var1!=''">
						<xsl:value-of select="@Name"/>
					</xsl:if>
					<xsl:if test="$var1=''">
						<input type="text" name="text1"></input> 
					</xsl:if>
	        </div>
	      </div>
		</div>
	      
		<div class="fset01w">
	      <div class="fset01">
	        <label class="l1">Description:</label>
	        <div class="inputw01">
				<input type="text" name="text2" size="100" value="{@Value}"></input>
	      	</div>
	      </div>
		</div>
  </xsl:when>
  </xsl:choose>
  </xsl:for-each>
   </div></div>

  <div id="popupfooter">
    <div class="popupfcontrols">
      <div class="toolbar"><div class="toolbarw0"><div class="toolbarw">
        <ul class="toollset toollsetsa">
			<xsl:variable name="okUrl">javascript:submitFormEvent('innerForm','GroupActionsHandlerPO.po?from=<xsl:value-of select='$from_element' />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;old_name=<xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:InstanceExtendedAttribute/@Name" />','ok')</xsl:variable>
		<li><a class="save" href="{$okUrl}" onclick="" title="Save"><span></span></a></li>
        </ul>
      </div></div></div>
      <div class="toolbar"><div class="toolbarw0"><div class="toolbarw">
        <ul class="toollset toollsetsa">
          <li><a class="cancel" href="#" onclick="javascript: popupWinClose();" title="Cancel"><span></span></a></li>
        </ul>
      </div></div></div>
    </div>
  </div>
 </div>
<!-- popup window end -->
</form>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
