<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   exclude-result-prefixes="xpil"
   xmlns:xpil="http://www.together.at/2006/XPIL1.0"
   xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
   <xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
   <xsl:param name="username" select="u" />
   <xsl:param name="from_element" select="11" />
   <xsl:param name="to_element" select="20" />
   <xsl:param name="sortCriterion" select="20" />
   <xsl:param name="sortAsc" select="true" />
   <xsl:param name="total_number" select="200" />
   <xsl:param name="sharkEdition" select="e" />
   <xsl:param name="navig_url"
      select="AppMappingHandlerPO.po" />
   <xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="content-type" content="text/html; charset='UTF-8'"/>
<title>Application Mapping</title>
</head>

<body>
<form action="javascript: void 0" id="innerForm" method="post" name="innerForm" style="height:100%">
<input name="event" type="hidden"/>

<!-- popup window -->

 <div id="popupframew">

  <div id="popuphbar">
    <div class="popupheadline"><span class="newappmapp">Create New Application Mapping</span></div>
    <div class="popuphtoolbar">
      <ul>
        <li><a class="close" href="javascript: void(0)" onclick="javascript: popupWinClose('newAppMapping');" title="Close"><span></span></a></li>
      </ul>
    </div>
  </div>

  <div id="popupframe"><div id="popupcntw">

    <div class="fset01w">
      <div class="fset01">
        <div class="comboinw">  
          <input type="text" name="selected_app" id="selected_app" value="All applications" class="inputcomb01" onclick="comboInputEnable(this)" onKeyUp="combob(event, this);" onblur="comboCheck(this);" readonly="true"/>
          <a name="appselecta" class="combarrow" href="javascript: void 0" onclick="showComboBox('appselect');"></a>
        </div>
        <div class="selectelw" id="userselectw">
          <select name="appselect" id="appselect" size="10" class="combosel01" autocomplete="off" onchange="comboListClick(this);" onkeyup="comboListSl(event, this);">
	          <xsl:for-each select="xpil:InstanceExtendedAttributes[1]/xpil:InstanceExtendedAttribute">
		          <xsl:variable name="opt1">
		           <xsl:value-of select="@Name"/>
		            </xsl:variable>
		           <option value="{$opt1}">
		             <xsl:value-of select="@Value"/>
		           </option>
			  </xsl:for-each>
          </select>
        </div>
      </div>
      <div class="fset01">
        <div class="comboinw">  
          <input type="text" name="selected_toolagn" id="selected_toolagn" value="Tool agents" class="inputcomb01" onclick="comboInputEnable(this)" onKeyUp="combob(event, this);" onblur="comboCheck(this);" readonly="true"/>
          <a name="toolagnselecta" class="combarrow" href="javascript: void 0" onclick="showComboBox('toolagnselect');"></a>
        </div>
        <div class="selectelw" id="prselectw">
          <select name="toolagnselect" id="toolagnselect" size="10" class="combosel01" autocomplete="off" onchange="comboListClick(this);" onkeyup="comboListSl(event, this);">
		  	<xsl:for-each select="xpil:InstanceExtendedAttributes[2]/xpil:InstanceExtendedAttribute">
	            <xsl:variable name="opt2">
	             <xsl:value-of select="@Name"/>
	              </xsl:variable>
	             <option value="{$opt2}">
	               <xsl:value-of select="@Value"/>
	             </option>
			</xsl:for-each>
          </select>
        </div>
      </div>
    </div>

    <div class="fset01w">
      <div class="fset01">
        <label class="l1">Username:</label>
        <div class="inputw01">
          <input type="text" name="username"/>
        </div>
      </div>
      <div class="fset01">
        <label class="l1">Password:</label>
        <div class="inputw01">
          <input type="password" name="password"/>
        </div>
      </div>
    </div>

    <div class="fset01saw">
      <div class="fset01">
        <label class="l1">Application name:</label>
        <div class="inputw01">
          <input type="text" name="app_name"/>
        </div>
      </div>
      <div class="fset01">
        <label class="l1">Application mode:</label>
        <div class="inputw01">
          <input type="text" name="app_mode"/>
        </div>
      </div>
    </div>

  </div></div>
  <xsl:variable name="createUrl">javascript:submitFormEvent('innerForm','AppMappingHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc" />','create')</xsl:variable>
  
  <div id="popupfooter">
    <div class="popupfcontrols">
      <div class="toolbar"><div class="toolbarw0"><div class="toolbarw">
        <ul class="toollset toollsetsa">
          <li><a class="saveandclose" href="{$createUrl}" onclick="" title="Save and Close"><span></span></a></li>
          <!--li><a class="saveandnew" href="javascript: void(0)" title="Save and New"><span></span></a></li-->
        </ul>
      </div></div></div>
      <div class="toolbar"><div class="toolbarw0"><div class="toolbarw">
        <ul class="toollset toollsetsa">
          <li><a class="cancel" href="javascript: void(0)" onclick="javascript: popupWinClose('newAppMapping');" title="Cancel"><span></span></a></li>
        </ul>
      </div></div></div>
    </div>
  </div>

 </div>

<!-- popup window end -->
</form>
</body>
</html>
   </xsl:template>
</xsl:stylesheet>
